Bug 239950 - right click on playlist item -> add to another playlist
Summary: right click on playlist item -> add to another playlist
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlist (show other bugs)
Version: 2.3.0
Platform: openSUSE Linux
: NOR wishlist (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-29 10:25 UTC by D.Ros
Modified: 2012-04-29 21:34 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D.Ros 2010-05-29 10:25:02 UTC
Version:           2.3.0 (using KDE 4.4.3) 
OS:                Linux

Didn't find any wish like this. 
If the right button is clicked on an item in the playlist, it would be useful if there is a context action like 'send to playlist' where i can choose to which playlist this item should be implemented. Additionally add to new playlist. 

Reproducible: Didn't try




OS: Linux (x86_64) release 2.6.31.12-0.2-default
Compiler: gcc
Comment 1 D.Ros 2010-08-24 00:01:47 UTC
is this function request that unuseful ?
Comment 2 Myriam Schweingruber 2010-08-24 00:10:01 UTC
Patience...
Comment 3 Beat Wolf 2011-02-22 20:03:30 UTC
there is a patch review pending for this issue:
https://git.reviewboard.kde.org/r/100181/
Comment 4 Myriam Schweingruber 2012-02-28 09:05:37 UTC
Changing target.
Comment 5 Matěj Laitl 2012-03-03 14:45:36 UTC
Hmm, this is easily doable by drag & drop. (or will be after my commit in the works) Does it satisfy you, reporters?
Comment 6 Matěj Laitl 2012-03-03 15:25:30 UTC
Git commit 3a9b36fe04dafe8c95d5bbdcbb84945e7cf469e6 by Matěj Laitl.
Committed on 03/03/2012 at 15:55.
Pushed by laitl into branch 'master'.

Playlist browser: drag & drop and plugged playlists cleanups

This change fixes a couple of bugs:
 * it is now possible to drop tracks & playlists to playlist providers
   in Saved Playlists
 * When a new empty playlist provider appears or disappears when Amarok is
   running, the view is correctly updated.

FEATURES:
  * "Crop playlist" functionality implemented using drag & drop.

CHANGES:
  * Drag & drop of tracks and playlists to Saved Playlists works in all cases.

BUGFIXES:
  * iPod playlists now appear even when plugged in while Amarok is running.
Related: bug 267729, bug 211811, bug 289303
FIXED-IN: 2.6

M  +3    -0    ChangeLog
M  +19   -16   src/browsers/playlistbrowser/PlaylistBrowserModel.cpp
M  +1    -0    src/browsers/playlistbrowser/PlaylistBrowserModel.h
M  +98   -130  src/browsers/playlistbrowser/PlaylistsByProviderProxy.cpp
M  +2    -11   src/browsers/playlistbrowser/PlaylistsByProviderProxy.h
M  +1    -0    src/core-impl/playlists/providers/user/UserPlaylistProvider.h
M  +2    -0    src/core/playlists/PlaylistProvider.h
M  +12   -4    src/playlistmanager/PlaylistManager.cpp
M  +2    -1    src/playlistmanager/PlaylistManager.h

http://commits.kde.org/amarok/3a9b36fe04dafe8c95d5bbdcbb84945e7cf469e6
Comment 7 shaddowy2 2012-03-03 17:01:45 UTC
Your new features sound great Matěj, I can perfectly live with your implementation. Thank you!
Comment 8 Matěj Laitl 2012-04-29 21:34:13 UTC
Implemented using drag & drop, satifies users, closing. :-)